<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package axil-panels
 */


add_action( 'cmb2_admin_init', 'axil_register_user_profile_metabox' );
/**
 * Hook in and add a metabox to add fields to the user profile pages
 */
function axil_register_user_profile_metabox() {
	$userpfix = AXIL_PANELS_FIX;
	/**
	 * Metabox for the user profile screen
	 */
	$cmb_user = new_cmb2_box( array(
		'id'               => $userpfix . '_edit',
		'title'            => esc_html__( 'User Profile Metabox', 'axil-panels' ), // Doesn't output for user boxes
		'object_types'     => array( 'user' ), // Tells CMB2 to use user_meta vs post_meta
		'show_names'       => true,
		'new_user_section' => 'add-new-user', // where form will show on new user page. 'add-existing-user' is only other valid option.
	) );
	
	
	$cmb_user->add_field( array(
		'name'     => esc_html__( 'Social Profile Information', 'axil-panels' ),		
		'id'       => $userpfix . '_extra_social_info',
		'type'     => 'title',
		'on_front' => false,
	) );

	$cmb_user->add_field( array(
		'name' => esc_html__( 'Facebook URL', 'axil-panels' ),
		'desc' => esc_html__( 'Please enter your facebook URL', 'axil-panels' ),
		'id'   => $userpfix . '_facebookurl',
		'type' => 'text_url',
	) );
	$cmb_user->add_field( array(
		'name' => esc_html__( 'Twitter URL', 'axil-panels' ),
		'desc' => esc_html__( 'Please enter your twitter URL', 'axil-panels' ),
		'id'   => $userpfix . '_twitterurl',
		'type' => 'text_url',
	) );	
	$cmb_user->add_field( array(
		'name' => esc_html__( 'Linkedin URL', 'axil-panels' ),
		'desc' => esc_html__( 'Please enter your linkedin URL', 'axil-panels' ),
		'id'   => $userpfix . '_linkedinurl',
		'type' => 'text_url',
	) );
	$cmb_user->add_field( array(
		'name' => esc_html__( 'Pinterest URL', 'axil-panels' ),
		'desc' => esc_html__( 'Please enter your pinterest URL', 'axil-panels' ),
		'id'   => $userpfix . '_pinteresturl',
		'type' => 'text_url',
	) );
	
}
