<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */

$opt_name = BLOGWAVES_PRO_THEME_PREFIX . '_options';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('News Settings', BLOGWP_BLOG_THEME_NAME),
        'id' => 'blog_settings_section',
        'subsection' => true,
        'icon' => 'el el-tags',
        'heading' => esc_html__('News Settings', BLOGWP_BLOG_THEME_NAME),
        'fields' => array(
            array(
                'id' => 'blog_style',
                'type' => 'image_select',
                'title' => esc_html__('News/Archive Layout', BLOGWP_BLOG_THEME_NAME),
                'default' => 'style1',
                'options' => array(
                    'style1' => array(
                        'title' => '<b>' . esc_html__('Layout 1', BLOGWP_BLOG_THEME_NAME) . '</b>',
                        'img' => Helper::get_img('meta-img-1.jpg'),
                    ),
                    'style2' => array(
                        'title' => '<b>' . esc_html__('Layout 2', BLOGWP_BLOG_THEME_NAME) . '</b>',
                        'img' => Helper::get_img('meta-img-1.jpg'),
                    ),

                ),
            ),

            array(
                'id' => 'blog_content_display',
                'type' => 'switch',
                'title' => esc_html__('Show content Display', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'blog_content_number',
                'type' => 'text',
                'title' => esc_html__('Number of Content', BLOGWP_BLOG_THEME_NAME),
                'validate' => 'numeric',
                'default' => '20',
                'required' => array('blog_content_display', 'equals', true),
            ),
            array(
                'id' => 'blog_author_name',
                'type' => 'switch',
                'title' => esc_html__('Show Author Name', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'blog_date',
                'type' => 'switch',
                'title' => esc_html__('Show Date', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'blog_view',
                'type' => 'switch',
                'title' => esc_html__('Show/hide Post View', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'blog_update_date',
                'type' => 'switch',
                'title' => esc_html__('Show Post Update Date', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'blog_shares',
                'type' => 'switch',
                'title' => esc_html__('Show/hide Post Shares', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'blog_cats',
                'type' => 'switch',
                'title' => esc_html__('Show Categories', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),

            array(
                'id' => 'blog_comment_num',
                'type' => 'switch',
                'title' => esc_html__('Show Comment Number', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'blog_show_post_thumb',
                'type' => 'switch',
                'title' => esc_html__('Show blog post thumb', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),

        )
    )
);
