<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */

add_action('wp_enqueue_scripts', 'axil_register_scripts', 12);
if (!function_exists('axil_register_scripts')) {
    function axil_register_scripts()
    {
        wp_deregister_style('font-awesome');
        wp_register_style('owl-carousel', BLOGWAVES_PRO_CSS_URL . 'owl.carousel.min.css', array(), BLOGWAVES_PRO_VERSION);
        wp_register_style('owl-theme-default', BLOGWAVES_PRO_CSS_URL . 'owl.theme.default.min.css', array(), BLOGWAVES_PRO_VERSION);
        wp_register_style('animate', BLOGWAVES_PRO_CSS_URL . 'animate.css', array(), BLOGWAVES_PRO_VERSION);
        if (is_rtl()) {
            wp_register_style('magnific-popup', BLOGWAVES_PRO_CSS_URL . 'magnific-popup.css', array(), BLOGWAVES_PRO_VERSION);
        } else {
            wp_register_style('magnific-popup', BLOGWAVES_PRO_RTL_URL . 'magnific-popup.css', array(), BLOGWAVES_PRO_VERSION);
        }
        wp_register_style('slick', BLOGWAVES_PRO_CSS_URL . 'slick.css', array(), BLOGWAVES_PRO_VERSION);
        wp_register_script('owl-carousel', BLOGWAVES_PRO_JS_URL . 'owl.carousel.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_register_script('isotope-pkgd', BLOGWAVES_PRO_JS_URL . 'isotope.pkgd.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_register_script('waypoints', BLOGWAVES_PRO_JS_URL . 'waypoints.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_register_script('counterup', BLOGWAVES_PRO_JS_URL . 'jquery.counterup.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_register_script('magnific-popup', BLOGWAVES_PRO_JS_URL . 'jquery.magnific-popup.min.js', array('jquery'), BLOGWAVES_PRO_VERSION);
        wp_register_script('slick', BLOGWAVES_PRO_JS_URL . 'slick.min.js', array('jquery'), BLOGWAVES_PRO_VERSION);

    }
}

add_action('wp_enqueue_scripts', 'axil_enqueue_scripts', 15);

if (!function_exists('axil_enqueue_scripts')) {
    function axil_enqueue_scripts()
    {
        $blogwaves_pro_options = Helper::axil_get_options();
        
        wp_enqueue_style('font-awesome', BLOGWAVES_PRO_CSS_URL . 'fontawesome-all.min.css', array(), BLOGWAVES_PRO_VERSION);
        wp_enqueue_style('blogwaves-pro-fonts', blogwaves_pro_fonts_url());
        wp_enqueue_style('plyr', BLOGWAVES_PRO_CSS_URL . 'plyr.css', array(), BLOGWAVES_PRO_VERSION);
        wp_enqueue_style('font-iconfont', BLOGWAVES_PRO_CSS_URL . 'iconfont.css">', array(), BLOGWAVES_PRO_VERSION);
        wp_enqueue_style('animate');
        if (is_rtl()) {
            wp_enqueue_style('bootstrap', BLOGWAVES_PRO_RTL_URL . 'bootstrap.min.css', array(), BLOGWAVES_PRO_VERSION);
            wp_enqueue_style('axil-style', BLOGWAVES_PRO_RTL_URL . 'style.css', array(), BLOGWAVES_PRO_VERSION);
            wp_enqueue_style('axil-rtl', BLOGWAVES_PRO_CSS_URL . 'rtl.css', array(), BLOGWAVES_PRO_VERSION);
        } else {
            wp_enqueue_style('bootstrap', BLOGWAVES_PRO_CSS_URL . 'bootstrap.min.css', array(), BLOGWAVES_PRO_VERSION);
            wp_enqueue_style('axil-style', BLOGWAVES_PRO_CSS_URL . 'style.css', array(), BLOGWAVES_PRO_VERSION);

        }
//        if (isset($blogwaves_pro_options['active_dark_mode'])){
//            if ($blogwaves_pro_options['active_dark_mode'] == 'on' || $blogwaves_pro_options['active_dark_mode'] == 1){
//                wp_enqueue_style('blogwaves_pro-dark', BLOGWAVES_PRO_CSS_URL . 'dark.css', array(), BLOGWAVES_PRO_VERSION);
//            }else{
//                wp_enqueue_style('blogwaves_pro-dark', BLOGWAVES_PRO_CSS_URL . 'light.css', array(), BLOGWAVES_PRO_VERSION);
//            }
//        }
        wp_enqueue_style('blogwaves-pro-dark-style', BLOGWAVES_PRO_CSS_URL . 'dark.css', array(), BLOGWAVES_PRO_VERSION);

//        wp_enqueue_style('theme-switch', BLOGWAVES_PRO_CSS_URL . 'light.css', array(), BLOGWAVES_PRO_VERSION);


        Helper::axil_elementor_scripts();
        if (is_singular() && comments_open() && get_option('thread_comments')) {
            wp_enqueue_script('comment-reply');
        }
        wp_enqueue_script('popper', BLOGWAVES_PRO_JS_URL . 'popper.js', array(), BLOGWAVES_PRO_VERSION);
        wp_enqueue_script('bootstrap', BLOGWAVES_PRO_JS_URL . 'bootstrap.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('theia-sticky-sidebar', BLOGWAVES_PRO_JS_URL . 'theia-sticky-sidebar.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('jquery-nav', BLOGWAVES_PRO_JS_URL . 'jquery.nav.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('jquery-sticky-kit', BLOGWAVES_PRO_JS_URL . 'jquery.sticky-kit.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('plyr-polyfilled', BLOGWAVES_PRO_JS_URL . 'plyr.polyfilled.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('css-vars-ponyfill', BLOGWAVES_PRO_JS_URL . 'css-vars-ponyfill@2.js', '', BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('easing', BLOGWAVES_PRO_JS_URL . 'easing-1.3.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('jquery-nicescroll', BLOGWAVES_PRO_JS_URL . 'jquery.nicescroll.min.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('imagesloaded');
        wp_enqueue_script('isotope-pkgd');
        // Main js
        wp_enqueue_script('axil-plugins', BLOGWAVES_PRO_JS_URL . 'plugins.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('axil-cookie', BLOGWAVES_PRO_JS_URL . 'js.cookie.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('blogwp-main', BLOGWAVES_PRO_JS_URL . 'main.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_script('jquery-style-switcher', BLOGWAVES_PRO_JS_URL . 'jquery.style.switcher.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);

        // Localization
        $adminajax = esc_url(admin_url('admin-ajax.php'));
        $localize_data = array(
            'rtl' => is_rtl() ? 'yes' : 'no',
            'ajaxurl' => $adminajax,
        );
        wp_localize_script('blogwp-main', 'AxilObj', $localize_data);




        $translation_array = array( 'templateUrl' => get_stylesheet_directory_uri() );
        //after wp_enqueue_script
        wp_localize_script( 'jquery-style-switcher', 'directory_uri', $translation_array );





    }
}
/**
 * admin script
 */

if (!function_exists('axil_media_scripts')) {
    function axil_media_scripts()
    {
        wp_enqueue_style('axil-wp-admin', BLOGWAVES_PRO_ADMIN_CSS_URL . 'admin-style.css', array(), BLOGWAVES_PRO_VERSION);
        if (is_rtl()){
            wp_enqueue_style('axil-rtl-admin', BLOGWAVES_PRO_ADMIN_CSS_URL . 'rtl-admin.css', array(), BLOGWAVES_PRO_VERSION);
        }
        wp_enqueue_media();
        wp_enqueue_script('jquery-ui-tabs');
        wp_enqueue_script('axil-logo-uploader', BLOGWAVES_PRO_ADMIN_JS_URL . 'logo-uploader.js', array('jquery'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_style('wp-color-picker');
        wp_enqueue_script('axil-widget-color', BLOGWAVES_PRO_ADMIN_JS_URL . 'axil-widget-color.js', array('jquery', 'wp-color-picker'), BLOGWAVES_PRO_VERSION, true);
        wp_enqueue_style('font-awesome');


    }
}
add_action('admin_enqueue_scripts', 'axil_media_scripts', 1000);