<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package papr-elements
 */

$axil_socials            = Helper::socials();
$papr_options 	         = Helper::axil_get_options();
$offcanvas_menu_args     = Helper::offcanvas_menu_args();
$axil_socials            = Helper::socials();

?>
<div class="axil-contact-info-wrapper p-l-lg-45 m-b-xs-30">
    <div class="axil-contact-info-inner">
        <?php
        if ( $papr_options['address_field_title'] ){ ?>
        <h2 class="h4 m-b-xs-10"> <?php echo wp_kses_post($papr_options['address_field_title']); ?> </h2>
        <?php } ?>
        <div class="axil-contact-info">
            <address class="address">
                <?php
                if ( $papr_options['address'] ){
                    ?>
                    <p class="m-b-xs-30 mid grey-dark-three"><?php echo wp_kses_post($papr_options['address']); ?></p>
                    <?php
                }
                ?>
                <?php
                if ( $papr_options['call_now_field_title'] ){ ?>
                    <h3 class="h5"> <?php echo wp_kses_post($papr_options['call_now_field_title']); ?> </h3>
                <?php } ?>
                <?php
                if ( $papr_options['phone'] ){
                    ?>
                    <div>
                        <a class="tel" href="tel:<?php echo wp_kses_post($papr_options['phone']); ?>"><i class="fas fa-phone"></i><?php echo wp_kses_post($papr_options['phone']); ?></a>
                    </div>
                    <?php
                }
                ?>
                <?php
                if ( $papr_options['fax'] ){
                    ?>
                    <div>
                        <a class="tel" href="tel:<?php echo wp_kses_post($papr_options['fax']); ?>"><i class="fas fa-fax"></i><?php echo wp_kses_post($papr_options['fax']); ?></a>
                    </div>
                    <?php
                }
                ?>
                <?php
                if ( $papr_options['email'] ){
                    ?>
                    <div>
                        <a class="tel" href="mailto:<?php echo wp_kses_post($papr_options['email']); ?>"><i class="fas fa-envelope"></i><?php echo wp_kses_post($papr_options['email']); ?></a>
                    </div>
                    <?php
                }
                ?>
            </address>
            <!-- End of address -->
            <?php if ( $axil_socials ){ ?>
                <div class="contact-social-share m-t-xs-30">
                    <?php
                    if ( $papr_options['social_title'] ){ ?>
                        <div class="axil-social-title h5"> <?php echo wp_kses_post($papr_options['social_title']); ?> </div>
                    <?php } ?>
                    <ul class="social-share social-share__with-bg">
                        <?php foreach ( $axil_socials as $axil_social ): ?>
                            <li><a href="<?php echo esc_url( $axil_social['url'] );?>"  target="_blank"><i class="fab <?php echo esc_attr( $axil_social['icon'] );?>"></i></a></li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            <?php } ?>
            <!-- End of .contact-shsdf -->
        </div>
        <!-- End of .axil-contact-info -->
    </div>
    <!-- End of .axil-contact-info-inner -->
</div>
<!-- End of .axil-contact-info-wrapper -->
