<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package papr-elements
 */

$papr_options = Helper::axil_get_options();
$btn = $attr = '';
$axil_post_grid_format_link = get_post_format_link($settings['axil_post_grid_format_link']) ?: '#';
if ('4' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . $axil_post_grid_format_link . '"';
} elseif ('3' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . Helper::generate_cat_link($settings['axil_post_grid_cat_link']) . '"';
} elseif ('2' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . get_permalink(get_page_by_path($settings['axil_post_grid_page_link'])) . '"';
} else {
    if (!empty($settings['axil_post_grid_custom_link']['url'])) {
        $attr = 'href="' . esc_url($settings['axil_post_grid_custom_link']['url']) . '"';
        $attr .= !empty($settings['axil_post_grid_custom_link']['is_external']) ? ' target="_blank"' : '';
        $attr .= !empty($settings['axil_post_grid_custom_link']['nofollow']) ? ' rel="nofollow"' : '';
    }
}
if (!empty($settings['axil_post_grid_link_text'])) {
    $btn = '<a class="btn-link ml-auto" ' . $attr . '>' . $settings['axil_post_grid_link_text'] . '</a>';
}
?>

<div class="axil-post-grid-2">
    <?php if ('yes' == $settings['has_sec_title'] || 'yes' == $settings['has_sec_right_button']): ?>
    <div class="section-title d-flex m-b-xs-30">
        <?php if ('yes' == $settings['has_sec_title']) { ?>
        <<?php echo esc_html($settings['sec_title_tag']); ?>
        class="axil-title"><?php echo wp_kses_post($settings['title']); ?></<?php echo esc_html($settings['sec_title_tag']); ?>>
<?php } ?>
    <?php if ('yes' == $settings['has_sec_right_button']): ?>
        <?php echo wp_kses_post($btn); ?>
    <?php endif ?>
</div>
<?php endif ?>

<div class="axil-post-grid-2-holder row">
    <?php
    $post_sorting = $settings['post_sorting'];
    $post_ordering = $settings['post_ordering'];
    $title_limit = $settings['post_title_length'];
    $content_limit = $settings['post_content_length'];
    $number_of_post = $settings['number_of_post'];
    $offset = $settings['offset'];
    $postids = array();
    $i = 1;
    $p_ids = array();
    if (!empty($settings['posts_not_in'])) {
        foreach ($settings['posts_not_in'] as $p_idsn) {
            $p_ids[] = $p_idsn;
        }
    }
    $cat_single_list = $settings['cat_single_list'];
    $args = array(
        'category_name' => !empty($settings['cat_single_list']) && is_array($settings['cat_single_list']) ? implode(',', $settings['cat_single_list']) : '',
        'post_status' => 'publish',
        'order' => $post_ordering,
        'posts_per_page' => $number_of_post,
        'offset' => $offset,
        'post__not_in' => $p_ids,
        'ignore_sticky_posts' => 1
    );
    if ($post_sorting == 'view') {
        $args['orderby'] = 'meta_value_num';
        $args['meta_key'] = 'axil_views';
    } else {
        $args['orderby'] = $post_sorting;
    }
    $query = new WP_Query($args);
    $temp = Helper::wp_set_temp_query($query);
    if ($query->have_posts()) {
//    $axil_image_size2 = "axil-size-sm";
//    $axil_image_size1 = "axil-size-large";

    $select_image_size = $settings['image_size'];
    if (isset($select_image_size) && !empty($select_image_size)){
        $axil_image_size2 = $select_image_size;
    }else{
        $axil_image_size2 = "axil-size-sm";
    }
    //    Big Image
    $select_image_size = $settings['big_image_size'];
    if (isset($select_image_size) && !empty($select_image_size)){
        $axil_image_size1 = $select_image_size;
    }else{
        $axil_image_size1 = "axil-size-large";
    }


    while ($query->have_posts()) {
    $query->the_post();
    $post_id = get_the_ID();
    $excerpt = wp_trim_words(get_the_excerpt(), $content_limit, '');
    $ptitle = wp_trim_words(get_the_title(), $title_limit, '');
    $post_id = get_the_ID();
    $author = $query->post_author;
    ?>
    <?php if ($i == 1) { ?>
    <div class="col-lg-8">
        <div class="axil-img-container m-b-xs-30">
            <?php Helper::get_generate_thumbnail_image($post_id, $class = "w-100", $settings, $axil_image_size1); ?>
            <div class="media post-block position-absolute">
                <div class="media-body media-body__big">
                    <?php if ($settings['cat_display']) { ?>
                        <div class="post-cat-group m-b-xs-10">
                            <?php echo axil_get_the_category($post_id); ?>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="axil-media-bottom">
                        <<?php echo esc_html($settings['post_title_tag']); ?> class="axil-post-title hover-line">
                        <a href="<?php the_permalink(); ?>"><?php echo esc_html($ptitle); ?></a>
                    </<?php echo esc_html($settings['post_title_tag']); ?>>

                    <?php echo Helper::AxilPostMetas($settings, $post_id, $author); ?>

                    <?php if ($settings['content_display'] == 'yes') { ?>
                        <P class="post-expt"><?php echo wp_kses_post($excerpt); ?></p>
                    <?php } ?>


                </div>
            </div>
        </div>
        <!-- End of .post-block -->
    </div>
</div>
<!-- End of .col-lg-8 -->
<?php } ?>

<?php if ($i == 2) { ?>
<div class="col-lg-4">
<div class="axil-content">
<?php } ?>

<?php if ($i > 1 & $i < 4) { ?>
<div class="axil-img-container m-b-xs-30">
    <?php Helper::get_generate_thumbnail_image($post_id, $class = "img-fluid w-100", $settings, $axil_image_size2); ?>
    <div class="media post-block position-absolute">
        <div class="media-body justify-content-end">
            <?php if ($settings['cat_display']) { ?>
                <div class="axil-img-cat post-cat-group m-b-xs-10">
                    <?php echo axil_get_the_category($post_id); ?>
                </div>
                <?php
            }
            ?>
            <div class="axil-media-bottom">
                <<?php echo esc_html($settings['post_title_tag']); ?> class="axil-post-title hover-line hover-line">
                <a href="<?php the_permalink(); ?>"><?php echo esc_html($ptitle); ?></a>
            </<?php echo esc_html($settings['post_title_tag']); ?>>
            <?php echo Helper::AxilPostAuthorMetalight($settings, $post_id, $author); ?>
            <?php if ($settings['content_display'] == 'yes' && !empty($excerpt)) { ?>
                <P class="post-expt"><?php echo wp_kses_post($excerpt); ?></p>
            <?php } ?>
        </div>
    </div>
</div>
<!-- End of .post-block -->
</div>
<?php } ?>
<?php if ($i == 3) { ?>
</div>
    </div>
<?php } ?>

<?php if ($i > 3) { ?>
    <div class="col-lg-4">
        <div class="axil-img-container m-b-xs-30">
            <?php Helper::get_generate_thumbnail_image($post_id, $class = "img-fluid w-100", $settings, $axil_image_size2); ?>
            <div class="media post-block grad-overlay position-absolute">
                <div class="media-body justify-content-end">
                    <?php if ($settings['cat_display']) { ?>
                        <div class="axil-img-cat post-cat-group m-b-xs-10">
                            <?php echo axil_get_the_category($post_id); ?>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="axil-media-bottom">
                        <<?php echo esc_html($settings['post_title_tag']); ?> class="axil-post-title hover-line
                        hover-line">
                        <a href="<?php the_permalink(); ?>"><?php echo esc_html($ptitle); ?></a>
                    </<?php echo esc_html($settings['post_title_tag']); ?>>
                    <?php echo Helper::AxilPostAuthorMetalight($settings, $post_id, $author); ?>
                    <?php if ($settings['content_display'] == 'yes') { ?>
                        <P class="post-expt"><?php echo wp_kses_post($excerpt); ?></p>
                    <?php } ?>
                </div>
            </div>
        </div>
        <!-- End of .post-block -->
    </div>
    </div>

<?php } ?>
<?php if ($query->post_count == $i) { ?>


<?php } ?>
<?php $i++; ?>
<?php } ?>
<?php Helper::wp_reset_temp_query($temp);
} ?>
</div>
</div>

