<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package papr-elements
 */
$themepfix = AXIL_FIX_PRFX;
$select_image_size = $settings['image_size'];
if (isset($select_image_size) && !empty($select_image_size)){
    $axil_image_size = $select_image_size;
}else{
    $axil_image_size = "axil-size-md";
}
$papr_options = Helper::axil_get_options();

if (get_query_var('paged')) {
    $paged = get_query_var('paged');
} else if (get_query_var('page')) {
    $paged = get_query_var('page');
} else {
    $paged = 1;
}
$btn = $attr = '';
$axil_post_grid_format_link = get_post_format_link($settings['axil_post_grid_format_link']) ?: '#';
if ('4' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . $axil_post_grid_format_link . '"';
} elseif ('3' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . Helper::generate_cat_link($settings['axil_post_grid_cat_link']) . '"';
} elseif ('2' == $settings['axil_post_grid_link_type']) {
    $attr = 'href="' . get_permalink(get_page_by_path($settings['axil_post_grid_page_link'])) . '"';
} else {
    if (!empty($settings['axil_post_grid_custom_link']['url'])) {
        $attr = 'href="' . esc_url($settings['axil_post_grid_custom_link']['url']) . '"';
        $attr .= !empty($settings['axil_post_grid_custom_link']['is_external']) ? ' target="_blank"' : '';
        $attr .= !empty($settings['axil_post_grid_custom_link']['nofollow']) ? ' rel="nofollow"' : '';
    }
}
if (!empty($settings['axil_post_grid_link_text'])) {
    $btn = '<a class="btn-link ml-auto" ' . $attr . '>' . $settings['axil_post_grid_link_text'] . '</a>';
}
?>
<div class="axil-recent-news">
    <?php if ('yes' === $settings['has_sec_title'] || 'yes' === $settings['has_title_button']){ ?>
    <div class="section-title d-flex m-b-xs-20">
        <?php if ('yes' === $settings['has_sec_title']) { ?>
        <<?php echo esc_html($settings['sec_title_tag']); ?> class="axil-title
        axil-title__mid"><?php echo wp_kses_post($settings['title']); ?></<?php echo esc_html($settings['sec_title_tag']); ?>>
<?php } ?>
    <?php if ('yes' === $settings['has_title_button']) { ?>
        <?php echo wp_kses_post($btn); ?>
    <?php } ?>
</div>
<?php } ?>

<div class="recent-news-holder">
    <?php
    $post_sorting = $settings['post_sorting'];
    $content_limit = $settings['post_content_length'];
    $post_ordering = $settings['post_ordering'];
    $title_limit = $settings['post_title_length'];
    $number_of_posts = $settings['number_of_post'];
    $offset = $settings['offset'];
    $p_ids = array();
    if (!empty($settings['posts_not_in'])) {
        foreach ($settings['posts_not_in'] as $p_idsn) {
            $p_ids[] = $p_idsn;
        }
    }
    $cat_single_list = $settings['cat_single_list'];
    $args = array(
        'category_name' => !empty($settings['cat_single_list']) && is_array($settings['cat_single_list']) ? implode(',', $settings['cat_single_list']) : '',
        'post_status' => 'publish',
        'posts_per_page' => $number_of_posts,
        'offset' => $offset,
        'order' => $post_ordering,
        'paged' => $paged,
        'post__not_in' => $p_ids
    );
    if ($post_sorting == 'view') {
        $args['orderby'] = 'meta_value_num';
        $args['meta_key'] = 'axil_views';
    } else {
        $args['orderby'] = $post_sorting;
    }
    $query = new WP_Query($args);
    $temp = Helper::wp_set_temp_query($query);
    if ($query->have_posts()) {
    while ($query->have_posts()) {
    $query->the_post();
    $post_id = get_the_ID();
    $excerpt = wp_trim_words(get_the_excerpt(), $content_limit, '');
    $title = wp_trim_words(get_the_title(), $title_limit, '');
    $author = $query->post_author;
    ?>
    <div class="media post-block post-block__small m-b-xs-30">
        <?php if (has_post_thumbnail()) { ?>
            <?php Helper::get_generate_thumbnail_image($post_id, $class = "img-fluid m-r-xs-30", $settings, $axil_image_size); ?>
        <?php } ?>
        <div class="media-body">
            <?php if ($settings['cat_display'] == 'yes') { ?>
                <div class="post-cat-group m-b-xs-10">
                    <?php echo axil_get_the_category_color($post_id); ?>
                </div>
            <?php } ?>
            <<?php echo esc_html($settings['post_title_tag']); ?> class="axil-post-title hover-line hover-line">
            <a href="<?php the_permalink(); ?>"><?php echo esc_html($title); ?></a>
        </<?php echo esc_html($settings['post_title_tag']); ?>>
        <?php echo Helper::AxilPostMetas($settings, $post_id, $author); ?>
    </div>
</div>
<?php } ?>
<?php if ($settings['pagination_display'] == 'yes') { ?>
    <div class="mt20 col-sm-12 col-xs-12 pagination-wrapper"><?php Helper::pagination(); ?></div>
<?php } ?>
<?php Helper::wp_reset_temp_query($temp);
} ?>
</div>
</div>