<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package papr-elements
 */

$themepfix = AXIL_FIX_PRFX;
$axil_image_size2  = "axil-size-md";
$axil_image_size1  = "axil-size-video2";

$papr_options 	= Helper::axil_get_options();	

if ( get_query_var('paged') ) {
	$paged = get_query_var('paged');
}
else if ( get_query_var('page') ) {
	$paged = get_query_var('page');
}
else {
	$paged = 1;
}
$btn = $attr = '';
$axil_post_grid_format_link = get_post_format_link($settings['axil_post_grid_format_link']) ? : '#';
if ( '4' == $settings['axil_post_grid_link_type'] ) {
   		$attr  = 'href="' . $axil_post_grid_format_link . '"';
	}elseif( '3' == $settings['axil_post_grid_link_type'] ) {
   		$attr  = 'href="' . Helper::generate_cat_link($settings['axil_post_grid_cat_link']) . '"';
	}elseif( '2' == $settings['axil_post_grid_link_type'] ) {
    	$attr  = 'href="' . get_permalink( get_page_by_path( $settings['axil_post_grid_page_link'] ) ) . '"';
	} else {
    if ( !empty( $settings['axil_post_grid_custom_link']['url'] ) ) {
        $attr  = 'href="' . esc_url($settings['axil_post_grid_custom_link']['url']) . '"';
        $attr .= !empty( $settings['axil_post_grid_custom_link']['is_external'] ) ? ' target="_blank"' : '';
        $attr .= !empty( $settings['axil_post_grid_custom_link']['nofollow'] ) ? ' rel="nofollow"' : ''; 
    }
}
if ( !empty( $settings['axil_post_grid_link_text'] ) ) {
	$btn = '<a class="btn-link ml-auto" '. $attr .'>' . $settings['axil_post_grid_link_text'] . '</a>';
}
?>
<div class="axil-video-posts">	
	<?php if ('yes' === $settings['has_sec_title'] || 'yes' === $settings['has_title_button']){?>
    <div class="section-title title-white m-b-xs-20">
            <?php if ( 'yes' === $settings['has_sec_title']) { ?>
            <<?php echo esc_html( $settings['sec_title_tag'] );?> class="axil-title"><?php echo wp_kses_post( $settings['title'] );?></<?php echo esc_html( $settings['sec_title_tag'] );?>>
    <?php } ?>
        <?php if ( 'yes' === $settings['has_title_button']) { ?>
            <?php echo wp_kses_post( $btn );?>
        <?php } ?>
    </div>
    <?php } ?>
	<div class="recent-video-holder row">
	<?php

		$post_sorting = $settings['post_sorting'];
		$post_ordering = $settings['post_ordering'];
		$title_limit = $settings['post_title_length'];

		// number
		$number_of_post = $settings['number_of_post'];
		$offset = $settings['offset'];
        $p_ids = array();

        // build up the array
        if ( !empty($settings['posts_not_in'])){
            foreach ( $settings['posts_not_in'] as $p_idsn ) {
                $p_ids[] = $p_idsn;
            }
        }
		$i = 1;

		$cat_single_list = $settings['cat_single_list'];
		
		$args = array(
		'category_name'  => !empty($settings['cat_single_list']) && is_array($settings['cat_single_list']) ? implode(',', $settings['cat_single_list']) : '',
			'post_status' => 'publish',
			'order' => $post_ordering,
			'posts_per_page' => $number_of_post,
			'offset' => $offset,
			'paged'          => $paged,
			'post__not_in'   => $p_ids,

			'tax_query' => array( array(
			    'taxonomy' => 'post_format',
			    'field' => 'slug',
			    'terms' => array('post-format-video'),
			    'operator' => 'IN'
		   ) )
		);

		if ( $post_sorting == 'view' ) {
			$args['orderby']  = 'meta_value_num';
			$args['meta_key'] = 'axil_views';
		} else {
			$args['orderby'] = $post_sorting;
		}
		$query = new WP_Query( $args );		

		$temp = Helper::wp_set_temp_query( $query );
		
		if ( $query->have_posts() ) {	
			while ( $query->have_posts() ) {
			$query->the_post();
			$post_id 				= get_the_ID();
			$title 					= wp_trim_words(get_the_title(), $title_limit, '');
			$author = $query->post_author;
			?>
				<?php if ( $i == 1 ) { ?>
				<div class="col-lg-8">
                    <div class="axil-img-container flex-height-container">
                        <a href="<?php the_permalink(); ?>" class="d-block h-100">
                            <?php Helper::get_generate_img($post_id, $class = "w-100", $settings, $axil_image_size1); ?>
                            <div class="grad-overlay grad-overlay__transparent"></div>
                            <div class="video-popup video-play-btn video-play-btn__big"></div>
                        </a>
                        <div class="media post-block grad-overlay__transparent position-absolute m-b-xs-30">
                            <div class="media-body media-body__big">
                                <div class="axil-media-bottom mt-auto">
                                    <<?php echo esc_html( $settings['post_title_tag'] );?> class="axil-post-title hover-line">
                                        <a href="<?php the_permalink(); ?>"><?php echo esc_html( $title ); ?></a>
                                    </<?php echo esc_html( $settings['post_title_tag'] );?>>
                                    <?php echo Helper::AxilPostMetas( $settings, $post_id ,$author); ?>
                                </div>
                            </div>
                            <!-- End of .media-body -->
                        </div>
                        <!-- End of .post-block -->
                    </div>
                    <!-- End of .axil-img-container -->
				</div>
				<!-- End of .col-lg-8 -->
				<?php } ?>
				<?php if ( $i == 2 ) { ?>
						<div class="col-lg-4">
							<div class="axil-content">
				<?php } ?>				
				<?php if ( $i > 1 ) { ?>
                        <div class="media post-block post-block__small post-block__on-dark-bg m-b-xs-30">
                            <a href="<?php the_permalink(); ?>" class="align-self-center">
                                <?php Helper::get_generate_img($post_id, $class = " m-r-xs-30", $settings, $axil_image_size2); ?>
                                <span class="video-play-btn video-play-btn__small"></span>
                            </a>
                            <div class="media-body">
                                <?php if ( $settings['cat_display'] ) { ?>
                                    <div class="post-cat-group">
                                        <?php echo axil_get_the_category_color($post_id); ?>
                                    </div>
                                <?php } ?>
                                <<?php echo esc_html( $settings['post_title_tag'] );?> class="axil-post-title hover-line">
                                    <a href="<?php the_permalink(); ?>"><?php echo esc_html( $title ); ?></a>
                                </<?php echo esc_html( $settings['post_title_tag'] );?>>
                                <?php echo Helper::AxilPostAuthorMetalight( $settings, $post_id, $author); ?>
                            </div>
                        </div>
					<?php } ?>				
					<?php if ( $query->post_count == $i ) { ?>
						</div>
					</div>
				<?php } ?>

				<?php $i++;  ?>			
			<?php } ?>		
			<?php Helper::wp_reset_temp_query( $temp );
 		} ?>
	</div>
</div>