<?php
/*
Plugin Name: Papr Elements
Plugin URI: https://www.axilthemes.com
Description: Papr Element Plugin for Papr Theme
Version: 1.1
Author: Axilthemes
Author URI: https://www.axilthemes.com
*/

if (!defined('ABSPATH')) exit;
if (!defined('AXIL_ELEMENTS')) {
    define('AXIL_ELEMENTS', (WP_DEBUG) ? time() : '1.0');
    define('AXIL_ELEMENTS_PRFX', 'papr-elements');
    define('AXIL_ELEMENTS_THEME_PRFX', 'papr');
    define('AXIL_FIX_PRFX', 'axil');

    define('AXIL_ELEMENTS_VERSION', (WP_DEBUG) ? time() : '1.14');
    define('AXIL_PL_PATH', plugin_dir_path(__FILE__));
    define('AXIL_PL_URL', plugins_url('/', __FILE__));
}

class Axil_Elements
{
    public $plugin = 'papr-elements';
    public $action = 'papr_theme_init';

    public function __construct()
    {
        add_action('plugins_loaded', array($this, 'axil_elementor_textdomain'), 16);
        add_action('after_setup_theme', array($this, 'elementor_widgets'));
        add_action('elementor/elements/categories_registered', array($this, 'widget_categoty'));
        add_action('elementor/widgets/widgets_registered', array($this, 'elementor_widgets_control'));
        /*ajax actions*/
        add_action('wp_ajax_axil_loadmore_news', array($this, 'axil_loadmore_news'));
        add_action('wp_ajax_nopriv_axil_loadmore_news', array($this, 'axil_loadmore_news'));
        add_filter('elementor/widgets/wordpress/widget_args', array($this, 'axil_elementor_widget_args'));

    }

    public function axil_elementor_textdomain()
    {
        load_plugin_textdomain($this->plugin, false, dirname(plugin_basename(__FILE__)) . '/languages');
    }

    public function widget_categoty($class)
    {
        $id = AXIL_ELEMENTS_PRFX . '-widgets';
        $properties = array(
            'title' => esc_html__('Papr Elements', 'papr-elements'),
        );

        \Elementor\Plugin::$instance->elements_manager->add_category($id, $properties);
    }

    public function elementor_widgets_control()
    {
        if (did_action('elementor/loaded')) {
            require_once 'elementor/widgets_control.php';
        }
    }

    public function elementor_widgets()
    {
        require_once 'elementor/helper.php';
    }


    function axil_elementor_widget_args($args)
    {
        $args['before_widget'] = '<div class="widget papr-elementor-sidebar">';
        $args['after_widget'] = '</div>';
        $args['before_title'] = '<h3>';
        $args['after_title'] = '</h3>';
        return $args;
    }

    public function axil_loadmore_news()
    {
        $html = null;
        $remaining = true;
        $settings = $_POST['data'];
        $page = absint($_POST['page']) + 1;
        $number_of_post = $settings['number_of_post'];
        $post_sorting = $settings['post_sorting'];
        $post_ordering = $settings['post_ordering'];
        $catID = $_POST['catID'];
        $html = $cat_link = null;
        $cat_link = get_category_link($catID);

        $args = array(
            'cat' => $catID,
            'post_status' => 'publish',
            'orderby' => $post_sorting,
            'order' => $post_ordering,
            'posts_per_page' => $number_of_post,
            'paged' => $page
        );

        switch ($settings['orderby']) {
            case 'title':
            case 'menu_order':
                $args['order'] = 'ASC';
                break;
        }

        $query = new WP_Query($args);
        $query = new WP_Query($args);
        $col_class = "col-lg-{$settings['col_lg']} col-md-{$settings['col_md']} col-sm-{$settings['col_sm']} col-xs-{$settings['col_xs']}";
        $temp = Helper::wp_set_temp_query($query);
        if ($query->have_posts()) :
            if ($query->max_num_pages == $page) {
                $remaining = false;
            }
            ob_start();

            include('elementor/template/post-grid-3.php');

        else:
            $remaining = false;
        endif;
        $html = ob_get_clean();
        $var = $_POST;
        wp_send_json(compact('html', 'page', 'remaining', 'query'));
    }

}

new Axil_Elements;